Bug 1265784 - (CVE-2015-4517, CVE-2015-4521, CVE-2015-4522, CVE-2015-7174, CVE-2015-7175, CVE-2015-7176, CVE-2015-7177, CVE-2015-7180) CVE-2015-4517 CVE-2015-4521 CVE-2015-4522 CVE-2015-7174 CVE-2015-7175 CVE-2015-7176 CVE-2015-7177 CVE-2015-7180 Mozilla: Vulnerabilities found through code inspection (MFSA 2015-112)
CVE-2015-4517 CVE-2015-4521 CVE-2015-4522 CVE-2015-7174 CVE-2015-7175 CVE-201...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150922,repo...
: Security
Depends On:
Blocks: 1261782
  Show dependency treegraph
 
Reported: 2015-09-23 14:07 EDT by Prasad J Pandit
Modified: 2016-11-08 11:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 10:04:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-09-23 14:07:52 EDT
Security researcher Ronald Crane reported eight vulnerabilities affecting
released code that were found through code inspection. These included several
potential memory safety issues resulting from the use of snprintf, one use of
unowned memory, one use of a string without overflow checks, and five memory
safety bugs. These do not all have clear mechanisms to be exploited through
web content but are vulnerable if a mechanism can be found to trigger them.

Reference:
----------
  -> http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-4517
  -> http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-4521
  -> http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-4522
  -> http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-7174
  -> http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-7175
  -> http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-7176
  -> http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-7177
  -> http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-7180

External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2015-112/
Comment 1 Martin Prpič 2015-09-24 08:38:56 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting these issues. Upstream acknowledges Ronald Crane as the original reporter.
Comment 2 errata-xmlrpc 2015-09-24 14:40:44 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1834 https://rhn.redhat.com/errata/RHSA-2015-1834.html
Comment 4 errata-xmlrpc 2015-10-01 09:26:36 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1852 https://rhn.redhat.com/errata/RHSA-2015-1852.html

Note You need to log in before you can comment on or make changes to this bug.